<?php

namespace Tests;

use Illuminate\Foundation\Testing\TestCase as BaseTestCase;
use Illuminate\Foundation\Testing\WithFaker;

abstract class TestCase extends BaseTestCase
{
    use CreatesApplication, WithFaker;

    public function artisan($command, $parameters = [])
    {
        $migrate = explode(':', $command);


        if ($migrate[0] == "migrate" && !isset($parameters['--path'])) {
            $parameters['--path'] = ['/database/old_migrations/', 'database/migrations'];
        }

        return parent::artisan($command, $parameters);
    }
}
